#ifndef XGPUVERTEXFETCHCONSTANT_H
#define XGPUVERTEXFETCHCONSTANT_H

#include "xasset.h"
#include "xgpuvertexrawrequest.h"

class XGpuVertexFetchConstant : public XAsset
{
public:
    XGpuVertexFetchConstant();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGpuVertexRawRequest mRequest;
    quint32 mDword[2];
};

#endif // XGPUVERTEXFETCHCONSTANT_H
